import axios from '@/ajax.js';
const optBaseUrl = '/opt';
const holoBaseUrl = '/holo';
//方案问题
export function schemeProblems(data) {
    return axios({
        url: optBaseUrl + "/runningEvaluate/schemeProblems",
        method: 'post',
        data: data
    })
}
//路口列表
export function crossList(data) {
    return axios({
        // url: optBaseUrl + "/runningEvaluate/crossList",
        // method: 'post',
        // data: data
        url: "/holo/base-cross-info/list",
        method: 'get',
        params: data
    })
}

// 1
export function crossListSignal(data) {
    return axios({
        url: optBaseUrl + "/runningEvaluate/crossList",
        method: 'post',
        data: data
        // url: "/holo/base-cross-info/list",
        // method: 'get',
        // params: data
    })
}
//溢出情况
export function spilloverStatus(data) {
    return axios({
        url: optBaseUrl + "/runningEvaluate/spilloverStatus",
        method: 'post',
        data: data
    })
}
//失衡情况
export function unbalanceStatus(data) {
    return axios({
        url: optBaseUrl + "/runningEvaluate/unbalanceStatus",
        method: 'post',
        data: data
    })
}
//拥堵情况
export function congestionStatus(data) {
    return axios({
        url: optBaseUrl + "/runningEvaluate/congestionStatus",
        method: 'post',
        data: data
    })
}
//路口评价
export function crossEvaluate(data) {
    return axios({
        url: optBaseUrl + "/runningEvaluate/crossEvaluate",
        method: 'post',
        data: data
    })
}
//范围
export function scopeTree(data) {
    return axios({
        url: optBaseUrl + "/runningEvaluate/scopeTree",
        method: 'post',
        data: data
    })
}
//详细指标查询
export function metricsDetail(data) {
    return axios({
        url: optBaseUrl + "/runningEvaluate/metricsDetail",
        method: 'post',
        data: data
    })
}

//问题方案列表
export function problemSchemeList(data) {
    return axios({
        url: optBaseUrl + "/schemeEvaluate/problemSchemeList",
        method: 'post',
        data: data
    })
}

//热力
export function heatMap(data) {
    return axios({
        url: optBaseUrl + "/runningEvaluate/heatMap",
        method: 'post',
        data: data
    })
}
//路口方案列表
export function crossSchemeList(data) {
    return axios({
        url: optBaseUrl + "/schemeEvaluate/crossSchemeList",
        method: 'post',
        data: data
    })
}
//策略-评价指标下拉菜单
export function strategyMetricMenu(data) {
    return axios({
        url: optBaseUrl + "/schemeEvaluate/strategyMetricMenu",
        method: 'post',
        data: data
    })
}
//异常事件时空分布
export function abnormalDistribute(data) {
    return axios({
        url: optBaseUrl + "/sceneEvaluate/abnormalDistribute",
        method: 'post',
        data: data
    })
}
//方案详情-总体评价
export function schemeDetailOverall(data) {
    return axios({
        url: optBaseUrl + "/schemeEvaluate/schemeDetailOverall",
        method: 'post',
        data: data
    })
}
//方案详情-详细问题
export function detailedProblem(data) {
    return axios({
        url: optBaseUrl + "/schemeEvaluate/detailedProblem",
        method: 'post',
        data: data
    })
}
//方案详情-曲线图
export function curveChart(data) {
    return axios({
        url: optBaseUrl + "/schemeEvaluate/curveChart",
        method: 'post',
        data: data
    })
}
//方案详情-异常事件详情
export function abnormalDetail(data) {
    return axios({
        url: optBaseUrl + "/sceneEvaluate/abnormalDetail",
        method: 'post',
        data: data
    })
}
//方案详情-详细指标查询
export function sceneMetricsDetail(data) {
    return axios({
        url: optBaseUrl + "/sceneEvaluate/metricsDetail",
        method: 'post',
        data: data
    })
}

//转向级指标
export function metricsTurn(data) {
    return axios({
        url: optBaseUrl + "/sceneEvaluate/metricsTurn",
        method: 'post',
        data: data
    })
}
//车道级指标
export function metricsLane(data) {
    return axios({
        url: optBaseUrl + "/sceneEvaluate/metricsLane",
        method: 'post',
        data: data
    })
}



//获取视频图层
export function allCamera(data) {
    return axios({
        url: holoBaseUrl + "/device-camera/list",
        method: 'get',
        params: data
    })
}
// export function videoPlayback(data) {
//     return axios({
//         url: "http://106.120.201.126:14724/nvr/playback",
//         method: 'get',
//         params: data
//     })
// }

export function bottomMenu(data) {
    return axios({
        url: optBaseUrl + "/mainlineEvaluate/bottomMenu",
        method: 'post',
        data: data
    })
}
export function bottomCurve(data) {
    return axios({
        url: optBaseUrl + "/mainlineEvaluate/bottomCurve",
        method: 'post',
        data: data
    })
}
//干线方案分析
export function mainlineSchemeAnalysis(data) {
    return axios({
        url: optBaseUrl + "/mainlineEvaluate/mainlineSchemeAnalysis",
        method: 'post',
        data: data
    })
}
// 干线运行分析溢出畅通拥堵占比饼图
export function mainlineRunAnalyse(data){
    return axios({
        url: optBaseUrl+"/mainlineEvaluate/mainlineRunningAnalyse",
        method: 'post',
        data: data
    })
}
//干线列表
export function mainlineList(data) {
    return axios({
        url: optBaseUrl + "/mainlineEvaluate/mainlineList",
        method: 'get',
        params: data
    })
}
//干线方案评价
export function mainlineSchemeEvaluate(data) {
    return axios({
        url: optBaseUrl + "/mainlineEvaluate/mainlineSchemeEvaluate",
        method: 'post',
        data: data
    })
}
//干线路口评价
export function mainlineCrossEvaluate(data) {
    return axios({
        url: optBaseUrl + "/mainlineEvaluate/mainlineCrossEvaluate",
        method: 'post',
        data: data
    })
}

//场景评价热力图
export function sceneEvaluateHeatMap(data) {
    return axios({
        url: optBaseUrl + "/sceneEvaluate/heatMap",
        method: 'post',
        data: data
    })
}

